Package org.eclipse.jface.text.revisions

# Interface IRevisionListener

public interface IRevisionListener
A listener which is notified when revision information changes.

Since:
  3.3
See Also:
  - `RevisionInformation`
  - `IRevisionRulerColumnExtension`

## Method Summary

Modifier and Type
Method
Description
`void`
`revisionInformationChanged(RevisionEvent e)`
Notifies the receiver that the revision information has been updated.

## Method Details

### revisionInformationChanged

void revisionInformationChanged(RevisionEvent e)
Notifies the receiver that the revision information has been updated. This typically occurs when revision information is being displayed in an editor and the annotated document is modified.

Parameters:
  `e` - the revision event describing the change